VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::UnknownSection Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::UnknownSection:

## Avaliable Methods
public method | get_info ()
public method | get_tag ()
public method | set_info ()
public method | set_tag ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::UnknownSection` class contains information about an unknown section in an OVF package.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::UnknownSection::get_info | ( |  | ) |

Gets the value of 'info' property.

Return values

  info | - The current value of the field. The description of the Info element. String#

Code:
click to view
# Number of lines of code in get_info: 4
sub get_info {
my ($self, %args) = @_;
return $self->{'info'};
}

public method Com::Vmware::Vcenter::Ovf::UnknownSection::get_tag | ( |  | ) |

Gets the value of 'tag' property.

Return values

  tag | - The current value of the field. A namespace-qualified tag in the form `{ns}tag` . String#

Code:
click to view
# Number of lines of code in get_tag: 4
sub get_tag {
my ($self, %args) = @_;
return $self->{'tag'};
}

public method Com::Vmware::Vcenter::Ovf::UnknownSection::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::UnknownSection structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{tag} = $args{'tag'};
$self->{info} = $args{'info'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::UnknownSection');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.unknown_section');
$self->set_binding_field('key' => 'tag', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'info', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::UnknownSection::set_info | ( |  | ) |

Sets the given value for 'info' property.

Parameters

  info | - New value for the field. The description of the Info element.

Code:
click to view
# Number of lines of code in set_info: 5
sub set_info {
my ($self, %args) = @_;
$self->{'info'} = $args{'info'};
return;
}

public method Com::Vmware::Vcenter::Ovf::UnknownSection::set_tag | ( |  | ) |

Sets the given value for 'tag' property.

Parameters

  tag | - New value for the field. A namespace-qualified tag in the form `{ns}tag` .

Code:
click to view
# Number of lines of code in set_tag: 5
sub set_tag {
my ($self, %args) = @_;
$self->{'tag'} = $args{'tag'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/UnknownSection.pm